package com.ruoyi.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 任务管理对象 task_manage
 * 
 * @author boman
 * @date 2025-05-07
 */
public class TaskManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 任务ID */
    private Long taskId;

    /** 任务编号 */
    @Excel(name = "任务编号")
    private String taskNum;

    /** 任务描述 */
    @Excel(name = "任务描述")
    private String taskDetails;

    /** 通道ID */
    @Excel(name = "通道ID")
    private Long channelId;

    /** 视频地址 */
    @Excel(name = "视频地址")
    private String videoAddress;

    /** 上报地址 */
    @Excel(name = "上报地址")
    private String reportAddress;

    /** 选择的算法编号 逗号分割 */
    @Excel(name = "选择的算法编号 逗号分割")
    private String algorithmSet;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }

    public void setTaskNum(String taskNum) 
    {
        this.taskNum = taskNum;
    }

    public String getTaskNum() 
    {
        return taskNum;
    }

    public void setTaskDetails(String taskDetails) 
    {
        this.taskDetails = taskDetails;
    }

    public String getTaskDetails() 
    {
        return taskDetails;
    }

    public void setChannelId(Long channelId) 
    {
        this.channelId = channelId;
    }

    public Long getChannelId() 
    {
        return channelId;
    }

    public void setVideoAddress(String videoAddress) 
    {
        this.videoAddress = videoAddress;
    }

    public String getVideoAddress() 
    {
        return videoAddress;
    }

    public void setReportAddress(String reportAddress) 
    {
        this.reportAddress = reportAddress;
    }

    public String getReportAddress() 
    {
        return reportAddress;
    }

    public void setAlgorithmSet(String algorithmSet) 
    {
        this.algorithmSet = algorithmSet;
    }

    public String getAlgorithmSet() 
    {
        return algorithmSet;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("taskId", getTaskId())
            .append("taskNum", getTaskNum())
            .append("taskDetails", getTaskDetails())
            .append("channelId", getChannelId())
            .append("videoAddress", getVideoAddress())
            .append("reportAddress", getReportAddress())
            .append("algorithmSet", getAlgorithmSet())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
